> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lerian.studio/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar marcadores de fraude

> Use este endpoint para listar marcadores de fraude com filtros. Retorna
um array vazio [] se nenhum marcador corresponder aos critérios.


**Notas:**

- Este endpoint é um proxy para o BTG e não persiste dados localmente.

- Usa paginação baseada em cursor por meio dos filtros
modified_after/modified_before.

- Quando hasMoreElements for true, use o updatedAt do último item como
modified_after na próxima requisição.



## OpenAPI

````yaml pt/openapi/v3-current/indirect-pix.yaml GET /v1/dict/fraud-markers
openapi: 3.0.3
info:
  title: Plugin BR Pix Indireto - API Completa
  description: |
    API completa para o sistema brasileiro de pagamentos instantâneos Pix,
    incluindo operações de dicionário de chaves Pix, geração/decodificação de
    QR Code, transações e limites de transações.
  version: 1.0.0
servers:
  - url: https://plugin-pix-indirect.api.lerian.net
security:
  - bearerAuth: []
paths:
  /v1/dict/fraud-markers:
    get:
      tags:
        - MED API
      summary: Listar marcadores de fraude
      description: |-
        Use este endpoint para listar marcadores de fraude com filtros. Retorna
        um array vazio [] se nenhum marcador corresponder aos critérios.


        **Notas:**

        - Este endpoint é um proxy para o BTG e não persiste dados localmente.

        - Usa paginação baseada em cursor por meio dos filtros
        modified_after/modified_before.

        - Quando hasMoreElements for true, use o updatedAt do último item como
        modified_after na próxima requisição.
      parameters:
        - $ref: '#/components/parameters/Limit'
        - $ref: '#/components/parameters/ModifiedAfter'
        - $ref: '#/components/parameters/ModifiedBefore'
        - name: tax_id
          in: query
          description: Filtrar por documento CPF ou CNPJ.
          required: false
          example: '12345678901'
          schema:
            type: string
        - name: status
          in: query
          description: Filtrar por status.
          required: false
          example: REGISTERED
          schema:
            type: string
            enum:
              - REGISTERED
              - CANCELLED
      responses:
        '200':
          description: Lista de marcadores de fraude recuperada com sucesso.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FraudMarkersListOutput'
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorFormat'
              examples:
                ErrorPIX0001:
                  $ref: '#/components/examples/ErrorPIX0001'
                ErrorPIX0009:
                  $ref: '#/components/examples/ErrorPIX0009'
                ErrorPIX0010:
                  $ref: '#/components/examples/ErrorPIX0010'
                ErrorPIX0011:
                  $ref: '#/components/examples/ErrorPIX0011'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorFormat'
              examples:
                ErrorPIX0000:
                  $ref: '#/components/examples/ErrorPIX0000'
        '502':
          description: Bad Gateway
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorFormat'
              examples:
                ErrorPIX1000:
                  $ref: '#/components/examples/ErrorPIX1000'
                ErrorPIX1007:
                  $ref: '#/components/examples/ErrorPIX1007'
                ErrorPIX1099:
                  $ref: '#/components/examples/ErrorPIX1099'
      deprecated: false
      security:
        - bearerAuth: []
components:
  parameters:
    Limit:
      name: limit
      in: query
      description: Número máximo de itens por página.
      required: false
      example: 10
      schema:
        type: integer
        minimum: 1
        maximum: 100
        default: 10
    ModifiedAfter:
      name: modified_after
      in: query
      description: >-
        Filtrar por registros modificados após este timestamp (formato RFC3339:
        2024-01-15T10:30:00Z).
      required: false
      schema:
        type: string
    ModifiedBefore:
      name: modified_before
      in: query
      description: >-
        Filtrar por registros modificados antes deste timestamp (formato
        RFC3339: 2024-01-15T10:30:00Z).
      required: false
      schema:
        type: string
  schemas:
    FraudMarkersListOutput:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/FraudMarkerObject'
        hasMoreElements:
          type: boolean
          description: Indica se há mais elementos a buscar.
          example: false
    ErrorFormat:
      type: object
      description: A mensagem de erro da resposta.
      required:
        - code
        - title
        - message
      properties:
        code:
          type: string
          description: Um identificador único e estável para o erro.
        title:
          type: string
          description: Um breve resumo do problema.
        message:
          type: string
          description: Orientação detalhada para resolver o erro.
    FraudMarkerObject:
      type: object
      properties:
        id:
          type: string
          description: Identificador único.
          example: 019c96a0-0cfd-7d0d-8fc5-17a164b828b6
        document:
          type: string
          description: CPF ou CNPJ.
          example: '12345678901'
        fraudType:
          type: string
          description: Tipo de fraude.
          enum:
            - APPLICATION_FRAUD
            - MULE_ACCOUNT
            - SCAMMER_ACCOUNT
            - OTHER
          example: MULE_ACCOUNT
        key:
          type: string
          description: Chave Pix associada.
          example: fraud@example.com
        status:
          type: string
          description: Status atual.
          enum:
            - REGISTERED
            - CANCELLED
          example: REGISTERED
        createdAt:
          type: string
          format: date-time
          example: '2024-01-15T10:30:00Z'
        updatedAt:
          type: string
          format: date-time
          example: '2024-01-15T10:30:00Z'
  examples:
    ErrorPIX0001:
      summary: Missing Headers in Request
      value:
        code: PIX-0001
        title: Missing Headers in Request
        message: >-
          Your request is missing one or more required header params. Please
          refer to the documentation to ensure all necessary header params are
          included in your request.
    ErrorPIX0009:
      summary: Missing Query Params in Request
      value:
        code: PIX-0009
        title: Missing Query Params in Request
        message: >-
          Your request is missing one or more required query params. Please
          refer to the documentation to ensure all necessary query params are
          included in your request.
    ErrorPIX0010:
      summary: Invalid Query Param in Request
      value:
        code: PIX-0010
        title: Invalid Query Param in Request
        message: >-
          One or more query params are invalid. Please refer to the
          documentation to verify the expected format and allowed values for
          each query param.
    ErrorPIX0011:
      summary: Invalid Timestamp Format
      value:
        code: PIX-0011
        title: Invalid Timestamp Format
        message: >-
          The timestamp format is invalid. Please refer to the documentation to
          verify the expected format.
    ErrorPIX0000:
      summary: Internal Server Error
      value:
        code: PIX-0000
        title: Internal Server Error
        message: The server encountered an unexpected error. Please try again later.
    ErrorPIX1000:
      summary: Provider Connection Error
      value:
        code: PIX-1000
        title: Provider Connection Error
        message: Failed to connect to provider.
    ErrorPIX1007:
      summary: Provider Internal Error
      value:
        code: PIX-1007
        title: Provider Internal Error
        message: Provider returned an internal error.
    ErrorPIX1099:
      summary: Provider Unmapped Error
      value:
        code: PIX-1099
        title: Provider Unmapped Error
        message: Provider returned an unmapped error.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````